#ifdef POSITION
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Position.h"

namespace morpheo              {
namespace behavioural          {

  void Position::generate_file (void)
  {
    try 
      {
	XML xml = toXML();

	xml.filename_extension ("pos");
	
	xml.generate_file("ISO-8859-1");

      }
    catch (ErrorMorpheo e)
      {
	throw (ErrorMorpheo ("Position \""+_entity->_name+"\" have a bad mapping : "+e.what()));
      }
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
#endif
